/* 17_IR - prova sensori infrarosso
main_aRX  - PIC del ricevitore

fotodiodo Vishay TSUS 4300, fototransistor Vishay TSOP34838 (38 kHz)
fo=38kHz ->To=26.3us duty cycle=0.5 onda quadra  inviata al fototransistor
test: segnale on per Ton ms, Toff=Ton
sezione RX:
out del fototransistor su RC0
led su RC2 attivo basso ripete l'out del fototransistor
*/
#pragma config FOSC=HS,LVP=OFF,WDT=OFF
#pragma config PWRT = ON,PBADEN=OFF

#include <p18f4550.h>
// #include <stdio.h>

#include <timers.h>
// usa Delay1KTCYx(n) ritardo (0,2 x n) ms, Delay10KTCYx(n) ritardo (2 x n) ms
#include <delays.h>	

// #define FOTOD LATCbits.LATC1	//uscita al fotodiodo RC1/CCP2
/*  RE0 ingresso dal fototransistor (TEFT)
	RE1 ingresso dal modulo receiver (TSOP) 
	RC0 uscita al led (attivo basso), corrispondente al fototransistor
	RC1 uscita al led (attivo basso), corrispondente al modulo receiver
*/
#define FOTOT PORTEbits.RE0		// ingresso dal fototransistor
#define RECEIV PORTEbits.RE1		// ingresso dal modulo receiver
#define LED_FT LATCbits.LATC0		// uscita al led (attivo basso)
#define LED_RC LATCbits.LATC1		// uscita al led (attivo basso)


void main(void) {

	// impostazione porte
	ADCON1=0x0F;			// porte come digital IO
	
	LATC=0;
	TRISC=0;

	LATE=0;
	TRISE=0b00000011;
 	
 	while (1) {
		// luce->FOTOT basso->con uscita bassa il led si accende
		LED_FT=FOTOT;
		LED_RC=RECEIV;
		Delay10KTCYx(1);// pausa di 2 ms
				
	}
	
}