//telec.h

// richiamata da "telec.c", da #include-re nel main
// definisce le costanti dei telecomandi

#ifndef _TELEC_H
#define _TELEC_H

// modello telecomando
// supportati (finora): SONY12, VIRE, ADS, TELN12
#define ADS

#ifdef SONY12
	#define SIGLATELEC "Sony12"
	#define NTASTI 16
	#define STATOAT 0		// stato attivo mark (livello basso)
	#define ONE_TK 24		//1200us
	#define ZERO_TK 12		//600 us
	#define IMPTOUT_TK 200	// timeout= durata massima impulso= durata minima gap (10ms)
	#define TOL_TK 4		// margine di tolleranza in + e -
	#define SCB 1			// StartCommandBit:dove comincia il command nella squenza impulsi (lo Start  0) 
	#define NCB 7			//n. di bit del command
	//array dei Commands, per i tasti da 0 a 9,#,*,A,B,C,D:
	unsigned char Commands[]={9,0,1,2,3,4,5,6,7,8,35,42,65,66,67,68};
	unsigned char TastiNN[]={'#','*','A','B','C','D'};		
#endif

#ifdef VIRE
	#define SIGLATELEC "Vire"
	#define NTASTI 16	
	#define STATOAT 1		// stato attivo space (livello alto)	
	#define ONE_TK 14		
	#define ZERO_TK 4		
	#define IMPTOUT_TK 200	
	#define TOL_TK 3		
	#define SCB 17			
	#define NCB 8			
	//array dei Commands, per i tasti da 0 a 9,power,go/pause,back,forward,vol-,vol+
	unsigned char Commands[]={7,10,27,31,12,13,14,0,15,25,18,1,2,3,5,6};
	unsigned char TastiNN[]={'|','$','<','>','-','+'};	
#endif

#ifdef ADS
	#define SIGLATELEC "ADS"
	#define NTASTI 16	
	#define STATOAT 1		// stato attivo space (livello alto)	
	#define ONE_TK 15		
	#define ZERO_TK 4		
	#define IMPTOUT_TK 200	
	#define TOL_TK 3		
	#define SCB 17			
	#define NCB 8	
	//array dei Commands, per i tasti da 0 a 9,power,enter,<,>,^,v:
	unsigned char Commands[]={77,87,79,83,86,78,94,84,76,92,91,14,22,30,15,70};
	unsigned char TastiNN[]={'|','E','<','>','^','v'};
#endif

#ifdef TELN12		// Telefunken RC 1401
// nota: con questo bisogna fare doppio click; perch boh
	#define SIGLATELEC "TELN12"
	#define NTASTI 16	
	#define STATOAT 1		// stato attivo space (livello alto)
	#define ONE_TK 44		
	#define ZERO_TK 19		
	#define IMPTOUT_TK 200	
	#define TOL_TK 3		
	#define SCB 4			
	#define NCB 8	
	//array dei Commands, per i tasti da 0 a 9,power,enter,<,>,^,v:
	unsigned char Commands[]={112,0,16,8,128,144,136,64,80,72,184,4,248,132,84,148};
	unsigned char TastiNN[]={'|','$','<','>','-','+'};	
#endif

// DEFINE generici
#define NOCOMMAND 255
#define MAXN 10	// n.max durate impulsi da registrare=dimensione array durate[]		
#define DISP_TK 20000 	// ogni quanti 50us visualizzare i dati (1s)
#define MARK 0
#define SPACE 1 

// -- PROTOTIPI FUNZIONI --
void AscoltaRicev(void);

// -- VARIABILI GLOBALI --

// idurC: indice durate dei mark del Command
unsigned char idurate=0,idurC=0,fNuovaSeq=1;
unsigned char durate[MAXN]={0};


#endif